Package org.apache.sling.jcr.jackrabbit.accessmanager.post

# Enum Class DeclarationType

java.lang.Object
java.lang.Enum<DeclarationType>
org.apache.sling.jcr.jackrabbit.accessmanager.post.DeclarationType

All Implemented Interfaces:
  `Serializable`, `Comparable<DeclarationType>`, `Constable`

public enum DeclarationType extends Enum<DeclarationType>
Enumerates the types of ACE declarations, typically used for constructing the output of the declaredAt structure of the effective ace/acl json

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NODE`
`PRINCIPAL`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJsonKey()`
`static DeclarationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DeclarationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PRINCIPAL

public static final DeclarationType PRINCIPAL

### NODE

public static final DeclarationType NODE

## Method Details

### values

public static DeclarationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DeclarationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getJsonKey

public String getJsonKey()